package com.miya.fastcashier.net

import com.miya.fastcashier.beans.LoginRequest
import com.miya.fastcashier.beans.SelfCashierAccountInfo
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.POST


interface ApiService {

    companion object {

        const val LOGIN: String = "verify/auth/token"
    }


    @POST(LOGIN)
    fun login(@Body loginRequestCall: LoginRequest): Call<BaseResult<SelfCashierAccountInfo>>
}